Upstream information

CVE-2022-3775 at MITRE

Description

When rendering certain unicode sequences, grub2's font code doesn't proper validate if the informed glyph's width and height is constrained within bitmap size. As consequence an attacker can craft an input which will lead to a out-of-bounds write into grub2's heap, leading to memory corruption and availability issues. Although complex, arbitrary code execution could not be discarded.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.1 6.4
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:H CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity Low High
Privileges Required Low High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1205182 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container suse/sle-micro-rancher/5.2:latest
Image SLES15-SP3-CHOST-BYOS-Azure
Image SLES15-SP3-CHOST-BYOS-GCE
  • grub2 >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
Container suse/sle-micro-rancher/5.3:latest
Image SLES15-SP4-CHOST-BYOS
Image SLES15-SP4-CHOST-BYOS-Azure
Image SLES15-SP4-CHOST-BYOS-GCE
  • grub2 >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
  • grub2 >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
Image SLES15-SP3-CHOST-BYOS-Aliyun
  • grub2 >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
Image SLES15-SP3-CHOST-BYOS-EC2
  • grub2 >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
  • grub2-x86_64-xen >= 2.04-150300.22.25.1
Image SLES15-SP4-CHOST-BYOS-Aliyun
  • grub2 >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
Image SLES15-SP4
Image SLES15-SP4-BYOS
Image SLES15-SP4-BYOS-EC2
Image SLES15-SP4-CHOST-BYOS-EC2
Image SLES15-SP4-EC2
Image SLES15-SP4-EC2-ECS-HVM
Image SLES15-SP4-HPC-BYOS
Image SLES15-SP4-HPC-BYOS-EC2
Image SLES15-SP4-HPC-EC2
Image SLES15-SP4-Hardened-BYOS
Image SLES15-SP4-Hardened-BYOS-EC2
Image SLES15-SP4-Manager-Server-4-3-BYOS
Image SLES15-SP4-Manager-Server-4-3-BYOS-EC2
Image SLES15-SP4-SAP
Image SLES15-SP4-SAP-BYOS
Image SLES15-SP4-SAP-BYOS-EC2
Image SLES15-SP4-SAP-EC2
Image SLES15-SP4-SAPCAL
Image SLES15-SP4-SAPCAL-EC2
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS-EC2
  • grub2 >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
  • grub2-x86_64-xen >= 2.06-150400.11.17.1
SUSE CaaS Platform 4.0
  • grub2 >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-4142
SUSE Enterprise Storage 6
  • grub2 >= 2.02-150100.123.17.1
  • grub2-arm64-efi >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-Storage-6-2022-4142
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • grub2 >= 2.04-150300.22.25.1
  • grub2-arm64-efi >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-powerpc-ieee1275 >= 2.04-150300.22.25.1
  • grub2-s390x-emu >= 2.04-150300.22.25.1
  • grub2-snapper-plugin >= 2.04-150300.22.25.1
  • grub2-systemd-sleep-plugin >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
  • grub2-x86_64-xen >= 2.04-150300.22.25.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-4219
SUSE-SLE-Module-Server-Applications-15-SP3-2022-4219
SUSE Enterprise Storage 7
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-Storage-7-2022-4218
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • grub2 >= 2.04-150300.22.25.1
  • grub2-arm64-efi >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-powerpc-ieee1275 >= 2.04-150300.22.25.1
  • grub2-s390x-emu >= 2.04-150300.22.25.1
  • grub2-snapper-plugin >= 2.04-150300.22.25.1
  • grub2-systemd-sleep-plugin >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-4219
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • grub2 >= 2.06-150400.11.17.1
  • grub2-arm64-efi >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-powerpc-ieee1275 >= 2.06-150400.11.17.1
  • grub2-s390x-emu >= 2.06-150400.11.17.1
  • grub2-snapper-plugin >= 2.06-150400.11.17.1
  • grub2-systemd-sleep-plugin >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-4141
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • grub2 >= 2.02-150100.123.17.1
  • grub2-arm64-efi >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-4142
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • grub2 >= 2.02-150100.123.17.1
  • grub2-arm64-efi >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-4142
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-4218
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-4218
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • grub2 >= 2.06-150400.11.17.1
  • grub2-arm64-efi >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-powerpc-ieee1275 >= 2.06-150400.11.17.1
  • grub2-s390x-emu >= 2.06-150400.11.17.1
  • grub2-snapper-plugin >= 2.06-150400.11.17.1
  • grub2-systemd-sleep-plugin >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
  • grub2-x86_64-xen >= 2.06-150400.11.17.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-4141
SUSE-SLE-Module-Server-Applications-15-SP4-2022-4141
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • grub2 >= 2.02-150000.122.17.1
  • grub2-arm64-efi >= 2.02-150000.122.17.1
  • grub2-i386-pc >= 2.02-150000.122.17.1
  • grub2-snapper-plugin >= 2.02-150000.122.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150000.122.17.1
  • grub2-x86_64-efi >= 2.02-150000.122.17.1
  • grub2-x86_64-xen >= 2.02-150000.122.17.1
Patchnames:
SUSE-SLE-Product-HPC-15-2022-4140
SUSE Linux Enterprise Micro 5.2
  • grub2 >= 2.04-150300.22.25.1
  • grub2-arm64-efi >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-s390x-emu >= 2.04-150300.22.25.1
  • grub2-snapper-plugin >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
  • grub2-x86_64-xen >= 2.04-150300.22.25.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2022-4219
SUSE Linux Enterprise Micro 5.3
  • grub2 >= 2.06-150400.11.17.1
  • grub2-arm64-efi >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-s390x-emu >= 2.06-150400.11.17.1
  • grub2-snapper-plugin >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
  • grub2-x86_64-xen >= 2.06-150400.11.17.1
Patchnames:
SUSE-SLE-Micro-5.3-2022-4141
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • grub2-x86_64-xen >= 2.04-150300.22.25.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2022-4219
SUSE Linux Enterprise Module for Server Applications 15 SP4
  • grub2-x86_64-xen >= 2.06-150400.11.17.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2022-4141
SUSE Linux Enterprise Server 12 SP2-BCL
  • grub2 >= 2.02-115.72.1
  • grub2-i386-pc >= 2.02-115.72.1
  • grub2-snapper-plugin >= 2.02-115.72.1
  • grub2-systemd-sleep-plugin >= 2.02-115.72.1
  • grub2-x86_64-efi >= 2.02-115.72.1
  • grub2-x86_64-xen >= 2.02-115.72.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2022-4144
SUSE Linux Enterprise Server 12 SP3-BCL
  • grub2 >= 2.02-142.1
  • grub2-i386-pc >= 2.02-142.1
  • grub2-snapper-plugin >= 2.02-142.1
  • grub2-systemd-sleep-plugin >= 2.02-142.1
  • grub2-x86_64-efi >= 2.02-142.1
  • grub2-x86_64-xen >= 2.02-142.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2022-4143
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • grub2 >= 2.02-153.1
  • grub2-arm64-efi >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-snapper-plugin >= 2.02-153.1
  • grub2-systemd-sleep-plugin >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
  • grub2-x86_64-xen >= 2.02-153.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-4302
SUSE Linux Enterprise Server 12 SP4-LTSS
  • grub2 >= 2.02-153.1
  • grub2-arm64-efi >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-powerpc-ieee1275 >= 2.02-153.1
  • grub2-s390x-emu >= 2.02-153.1
  • grub2-snapper-plugin >= 2.02-153.1
  • grub2-systemd-sleep-plugin >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
  • grub2-x86_64-xen >= 2.02-153.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2022-4302
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • grub2 >= 2.02-153.1
  • grub2-arm64-efi >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-powerpc-ieee1275 >= 2.02-153.1
  • grub2-s390x-emu >= 2.02-153.1
  • grub2-snapper-plugin >= 2.02-153.1
  • grub2-systemd-sleep-plugin >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
  • grub2-x86_64-xen >= 2.02-153.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2022-4302
SUSE Linux Enterprise Server 15 SP1-BCL
  • grub2 >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-4142
SUSE Linux Enterprise Server 15 SP1-LTSS
  • grub2 >= 2.02-150100.123.17.1
  • grub2-arm64-efi >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-powerpc-ieee1275 >= 2.02-150100.123.17.1
  • grub2-s390x-emu >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-4142
SUSE Linux Enterprise Server 15 SP2-BCL
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-4218
SUSE Linux Enterprise Server 15 SP2-LTSS
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-powerpc-ieee1275 >= 2.04-150200.9.68.1
  • grub2-s390x-emu >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-4218
SUSE Linux Enterprise Server 15-LTSS
  • grub2 >= 2.02-150000.122.17.1
  • grub2-arm64-efi >= 2.02-150000.122.17.1
  • grub2-i386-pc >= 2.02-150000.122.17.1
  • grub2-powerpc-ieee1275 >= 2.02-150000.122.17.1
  • grub2-s390x-emu >= 2.02-150000.122.17.1
  • grub2-snapper-plugin >= 2.02-150000.122.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150000.122.17.1
  • grub2-x86_64-efi >= 2.02-150000.122.17.1
  • grub2-x86_64-xen >= 2.02-150000.122.17.1
Patchnames:
SUSE-SLE-Product-SLES-15-2022-4140
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • grub2 >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-powerpc-ieee1275 >= 2.02-153.1
  • grub2-snapper-plugin >= 2.02-153.1
  • grub2-systemd-sleep-plugin >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
  • grub2-x86_64-xen >= 2.02-153.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2022-4302
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • grub2 >= 2.02-150100.123.17.1
  • grub2-i386-pc >= 2.02-150100.123.17.1
  • grub2-powerpc-ieee1275 >= 2.02-150100.123.17.1
  • grub2-snapper-plugin >= 2.02-150100.123.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150100.123.17.1
  • grub2-x86_64-efi >= 2.02-150100.123.17.1
  • grub2-x86_64-xen >= 2.02-150100.123.17.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-4142
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-powerpc-ieee1275 >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-4218
SUSE Linux Enterprise Server for SAP Applications 15
  • grub2 >= 2.02-150000.122.17.1
  • grub2-i386-pc >= 2.02-150000.122.17.1
  • grub2-powerpc-ieee1275 >= 2.02-150000.122.17.1
  • grub2-snapper-plugin >= 2.02-150000.122.17.1
  • grub2-systemd-sleep-plugin >= 2.02-150000.122.17.1
  • grub2-x86_64-efi >= 2.02-150000.122.17.1
  • grub2-x86_64-xen >= 2.02-150000.122.17.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2022-4140
SUSE Manager Proxy 4.1
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-4218
SUSE Manager Proxy Module 4.2
  • grub2-arm64-efi >= 2.04-150300.22.25.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.2-2022-4219
SUSE Manager Proxy Module 4.3
  • grub2-arm64-efi >= 2.06-150400.11.17.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.3-2022-4141
SUSE Manager Retail Branch Server 4.1
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-4218
SUSE Manager Server 4.1
  • grub2 >= 2.04-150200.9.68.1
  • grub2-arm64-efi >= 2.04-150200.9.68.1
  • grub2-i386-pc >= 2.04-150200.9.68.1
  • grub2-powerpc-ieee1275 >= 2.04-150200.9.68.1
  • grub2-s390x-emu >= 2.04-150200.9.68.1
  • grub2-snapper-plugin >= 2.04-150200.9.68.1
  • grub2-systemd-sleep-plugin >= 2.04-150200.9.68.1
  • grub2-x86_64-efi >= 2.04-150200.9.68.1
  • grub2-x86_64-xen >= 2.04-150200.9.68.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-4218
SUSE OpenStack Cloud 9
  • grub2 >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-snapper-plugin >= 2.02-153.1
  • grub2-systemd-sleep-plugin >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
  • grub2-x86_64-xen >= 2.02-153.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-4302
SUSE OpenStack Cloud Crowbar 9
  • grub2 >= 2.02-153.1
  • grub2-i386-pc >= 2.02-153.1
  • grub2-snapper-plugin >= 2.02-153.1
  • grub2-systemd-sleep-plugin >= 2.02-153.1
  • grub2-x86_64-efi >= 2.02-153.1
  • grub2-x86_64-xen >= 2.02-153.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-4302
openSUSE Leap 15.3
  • grub2 >= 2.04-150300.22.25.1
  • grub2-arm64-efi >= 2.04-150300.22.25.1
  • grub2-arm64-efi-debug >= 2.04-150300.22.25.1
  • grub2-branding-upstream >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-i386-pc-debug >= 2.04-150300.22.25.1
  • grub2-powerpc-ieee1275 >= 2.04-150300.22.25.1
  • grub2-powerpc-ieee1275-debug >= 2.04-150300.22.25.1
  • grub2-s390x-emu >= 2.04-150300.22.25.1
  • grub2-s390x-emu-debug >= 2.04-150300.22.25.1
  • grub2-snapper-plugin >= 2.04-150300.22.25.1
  • grub2-systemd-sleep-plugin >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
  • grub2-x86_64-efi-debug >= 2.04-150300.22.25.1
  • grub2-x86_64-xen >= 2.04-150300.22.25.1
Patchnames:
openSUSE-SLE-15.3-2022-4219
openSUSE Leap 15.4
  • grub2 >= 2.06-150400.11.17.1
  • grub2-arm64-efi >= 2.06-150400.11.17.1
  • grub2-arm64-efi-debug >= 2.06-150400.11.17.1
  • grub2-branding-upstream >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-i386-pc-debug >= 2.06-150400.11.17.1
  • grub2-powerpc-ieee1275 >= 2.06-150400.11.17.1
  • grub2-powerpc-ieee1275-debug >= 2.06-150400.11.17.1
  • grub2-s390x-emu >= 2.06-150400.11.17.1
  • grub2-s390x-emu-debug >= 2.06-150400.11.17.1
  • grub2-snapper-plugin >= 2.06-150400.11.17.1
  • grub2-systemd-sleep-plugin >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
  • grub2-x86_64-efi-debug >= 2.06-150400.11.17.1
  • grub2-x86_64-xen >= 2.06-150400.11.17.1
Patchnames:
openSUSE-SLE-15.4-2022-4141
openSUSE Leap Micro 5.2
  • grub2 >= 2.04-150300.22.25.1
  • grub2-arm64-efi >= 2.04-150300.22.25.1
  • grub2-i386-pc >= 2.04-150300.22.25.1
  • grub2-snapper-plugin >= 2.04-150300.22.25.1
  • grub2-x86_64-efi >= 2.04-150300.22.25.1
  • grub2-x86_64-xen >= 2.04-150300.22.25.1
Patchnames:
openSUSE-Leap-Micro-5.2-2022-4219
openSUSE Leap Micro 5.3
  • grub2 >= 2.06-150400.11.17.1
  • grub2-arm64-efi >= 2.06-150400.11.17.1
  • grub2-i386-pc >= 2.06-150400.11.17.1
  • grub2-snapper-plugin >= 2.06-150400.11.17.1
  • grub2-x86_64-efi >= 2.06-150400.11.17.1
  • grub2-x86_64-xen >= 2.06-150400.11.17.1
Patchnames:
openSUSE-Leap-Micro-5.3-2022-4141
openSUSE Tumbleweed
  • grub2 >= 2.06-31.1
  • grub2-branding-upstream >= 2.06-31.1
  • grub2-i386-pc >= 2.06-31.1
  • grub2-i386-pc-debug >= 2.06-31.1
  • grub2-snapper-plugin >= 2.06-31.1
  • grub2-systemd-sleep-plugin >= 2.06-31.1
  • grub2-x86_64-efi >= 2.06-31.1
  • grub2-x86_64-efi-debug >= 2.06-31.1
  • grub2-x86_64-xen >= 2.06-31.1
Patchnames:
openSUSE Tumbleweed GA grub2-2.06-31.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SLES15-SP3-CHOST-BYOS-Aliyun grub2 Released
SLES15-SP3-CHOST-BYOS-Azure grub2 Released
SLES15-SP3-CHOST-BYOS-EC2 grub2 Released
SLES15-SP3-CHOST-BYOS-GCE grub2 Released
SLES15-SP4-CHOST-BYOS grub2 Released
SLES15-SP4-CHOST-BYOS-Aliyun grub2 Released
SLES15-SP4-CHOST-BYOS-Azure grub2 Released
SLES15-SP4-CHOST-BYOS-EC2 grub2 Released
SLES15-SP4-CHOST-BYOS-GCE grub2 Released
SUSE Enterprise Storage 7 grub2 Released
SUSE Enterprise Storage 7.1 grub2 Released
SUSE Linux Enterprise Desktop 15 SP4 grub2 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 grub2 Released
SUSE Linux Enterprise Micro 5.1 grub2 Released
SUSE Linux Enterprise Micro 5.2 grub2 Released
SUSE Linux Enterprise Micro 5.3 grub2 Released
SUSE Linux Enterprise Micro for Rancher 5.2 grub2 Released
SUSE Linux Enterprise Micro for Rancher 5.3 grub2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 grub2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 grub2 Released
SUSE Linux Enterprise Real Time 15 SP3 grub2 Released
SUSE Linux Enterprise Server 12 SP5 grub2 Released
SUSE Linux Enterprise Server 15 SP4 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 grub2 Released
SUSE Manager Proxy 4.2 grub2 Released
SUSE Manager Proxy 4.3 grub2 Released
SUSE Manager Proxy Module 4.2 grub2 Released
SUSE Manager Proxy Module 4.3 grub2 Released
SUSE Manager Retail Branch Server 4.2 grub2 Released
SUSE Manager Retail Branch Server 4.3 grub2 Released
SUSE Manager Server 4.2 grub2 Released
SUSE Manager Server 4.3 grub2 Released
openSUSE Leap 15.4 grub2 Released
openSUSE Leap Micro 5.3 grub2 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SLES15-EC2-CHOST-HVM-BYOS grub2 In progress
SLES15-SP1-CHOST-BYOS-Azure grub2 In progress
SLES15-SP1-CHOST-BYOS-EC2 grub2 In progress
SLES15-SP1-CHOST-BYOS-GCE grub2 In progress
SLES15-SP2-CHOST-BYOS-Aliyun grub2 In progress
SLES15-SP2-CHOST-BYOS-Azure grub2 In progress
SLES15-SP2-CHOST-BYOS-EC2 grub2 In progress
SLES15-SP2-CHOST-BYOS-GCE grub2 In progress
SUSE Linux Enterprise High Performance Computing 15 grub2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 grub2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP2 grub2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS grub2 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS grub2 Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS grub2 Released
SUSE Linux Enterprise High Performance Computing 15-LTSS grub2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 grub2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 grub2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 grub2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 grub2 Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 grub2 Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 grub2 Released
SUSE Linux Enterprise Server 12 SP2-BCL grub2 Released
SUSE Linux Enterprise Server 12 SP4 grub2 Affected
SUSE Linux Enterprise Server 12 SP4-LTSS grub2 Released
SUSE Linux Enterprise Server 15 SP1 grub2 Affected
SUSE Linux Enterprise Server 15 SP1-LTSS grub2 Released
SUSE Linux Enterprise Server 15 SP2 grub2 Affected
SUSE Linux Enterprise Server 15 SP2-LTSS grub2 Released
SUSE Linux Enterprise Server 15 SP3 grub2 Released
SUSE Linux Enterprise Server 15 SP3-LTSS grub2 Affected
SUSE Linux Enterprise Server 15-ESPOS grub2 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 grub2 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 grub2 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 grub2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 15 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 grub2 Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 grub2 Affected
SUSE CaaS Platform 3.0 grub2 Affected
SUSE CaaS Platform 4.0 grub2 Released
SUSE Enterprise Storage 6 grub2 Released
SUSE Linux Enterprise Desktop 12 SP2 grub2 Affected
SUSE Linux Enterprise Desktop 12 SP3 grub2 Affected
SUSE Linux Enterprise Desktop 12 SP4 grub2 Affected
SUSE Linux Enterprise Desktop 15 grub2 Affected
SUSE Linux Enterprise Desktop 15 SP1 grub2 Affected
SUSE Linux Enterprise Desktop 15 SP2 grub2 Affected
SUSE Linux Enterprise Desktop 15 SP3 grub2 Released
SUSE Linux Enterprise Micro 5.0 grub2 Affected
SUSE Linux Enterprise Module for Basesystem 15 grub2 Affected
SUSE Linux Enterprise Module for Server Applications 15 grub2 Affected
SUSE Linux Enterprise Real Time 15 SP2 grub2 Affected
SUSE Linux Enterprise Server 11 SP3 grub2 Affected
SUSE Linux Enterprise Server 11 SP3-LTSS grub2 Affected
SUSE Linux Enterprise Server 12 SP2 grub2 Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS grub2 Affected
SUSE Linux Enterprise Server 12 SP2-LTSS grub2 Affected
SUSE Linux Enterprise Server 12 SP3 grub2 Affected
SUSE Linux Enterprise Server 12 SP3-BCL grub2 Released
SUSE Linux Enterprise Server 12 SP3-ESPOS grub2 Affected
SUSE Linux Enterprise Server 12 SP3-LTSS grub2 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS grub2 Released
SUSE Linux Enterprise Server 15 grub2 Affected
SUSE Linux Enterprise Server 15 SP1-BCL grub2 Released
SUSE Linux Enterprise Server 15 SP2-BCL grub2 Released
SUSE Linux Enterprise Server 15 SP3-BCL grub2 Affected
SUSE Linux Enterprise Server 15-LTSS grub2 Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 grub2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 grub2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 grub2 Affected
SUSE Manager Proxy 4.0 grub2 Affected
SUSE Manager Proxy 4.1 grub2 Released
SUSE Manager Retail Branch Server 4.0 grub2 Affected
SUSE Manager Retail Branch Server 4.1 grub2 Released
SUSE Manager Server 4.0 grub2 Affected
SUSE Manager Server 4.1 grub2 Released
SUSE OpenStack Cloud 7 grub2 Affected
SUSE OpenStack Cloud 8 grub2 Affected
SUSE OpenStack Cloud 9 grub2 Released
SUSE OpenStack Cloud Crowbar 8 grub2 Affected
SUSE OpenStack Cloud Crowbar 9 grub2 Released
openSUSE Leap 15.3 grub2 Released
Container Status
suse/sle-micro-rancher/5.2
suse/sle-micro-rancher/5.3
grub2Released


SUSE Timeline for this CVE

CVE page created: Tue Nov 8 13:23:51 2022
CVE page last modified: Wed Jan 25 01:37:20 2023